- 2020-11-17
  - Asked for bug fixes to include in release.
- 2020-12-09
  - Published internal release announcement.
  - Created release notes draft.
- 2020-12-11
  - Received QA LGTM.
- 2020-12-14
  - Created builds.
  - Created MR for downloads repo.
  - Failed to publish to CWS after upload: "To publish your item, you must certify that your data usage complies with our Developer Program Policies. You can certify this on the Privacy tab of the item edit page of the Developer Dashboard."
  - Created https://jira.eyeo.com/browse/LGL-541 to certify data use.
- 2020-12-15
  - Received approval from Legal about certifying extension's data use.
  - Published to CWS.
  - Published to AMO.
  - Noticed that release is live on AMO.
  - Published to Microsoft store despite error message after uploading the build file: Something went wrong. Please try again.
  - Published release notes.
  - Noticed that release is live on CWS.
  - Noticed that release is live on Opera store.
- 2020-12-16
  - Noticed that release is live on Microsoft store.
  - Published to downloads repo.
